• Internet Explorer 10 +, or Firefox 30 +, Google Chrome 13+

Safari is not supported.  It will not display all the features and causes issues with some of the drop downs, among other issues.